Commit f66896b6 authored by Vittorio Giovara's avatar Vittorio Giovara Committed by Tristan Matthews

daemon: check for a supported ucommon version when using clang

Change-Id: Idbb02846500da3f6e77d58dbde7b7a840c342d99
Refs: #46066
parent 31a7df16
......@@ -85,6 +85,9 @@ AC_SEARCH_LIBS([yaml_parser_initialize], [yaml], [AC_SUBST(YAML_LIBS, -lyaml)],
LIBCRYPTO_MIN_VERSION=1.0
PKG_CHECK_MODULES(LIBCRYPTO, libcrypto >= ${LIBCRYPTO_MIN_VERSION}, HAVE_LIBCRYPTO=true, HAVE_LIBCRYPTO=false);
AS_IF([test "x$CLANG" = "xyes"], [
PKG_CHECK_MODULES(UCOMMON, ucommon >= 6.0.0,, AC_MSG_ERROR([ucommon is found but is too old to support clang]))
]);
dnl Check for alsa development package - name: libasound2-dev
ALSA_MIN_VERSION=1.0
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment